#ifndef SELECTION_H
#define SELECTION_H

#include <q3ptrlist.h>

#include "linkablemapobj.h"
#include "mapcenterobj.h"

class Selection 
{
public:
	Selection ();
	~Selection();
	void copy(const Selection&);
	void clear();
	void setMapCenter (MapCenterObj *);
	
	bool select (LinkableMapObj*);
	bool select (const QString &);
	void unselect ();
	bool isEmpty();
	uint count();

	QString getSelectString();

private:
	void init();
	QList <LinkableMapObj*> selectList;
	MapCenterObj *mapCenter;
};
#endif

